import {fileHandler} from './fileHandler.js'
/**
 *@description 观察者模式 全局监听富文本编辑器
 */
export const FileQuillWatch = {
    watcher: {},  // 登记编辑器信息
    active: null,  // 当前触发的编辑器
    on: function(fileExtendId, FileExtend) {  // 登记注册使用了FileExtend的编辑器
        if (!this.watcher[fileExtendId]) {
            this.watcher[fileExtendId] = FileExtend
        }
    },
    emit: function(activeId) {  // 事件发射触发
        fileHandler()
        this.active = this.watcher[activeId]
    }
}

Quill.register('modules/FileQuillWatch', FileQuillWatch)